List metric annotations
GET
/v1/metricannotation/
const url = 'https://example.com/v1/metricannotation/?type=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/metricannotation/?type=1' \ --header 'Authorization: Bearer <token>'Return all metric annotations for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
The pagination cursor value.
in_progress
boolean
metric
string format: uuid
page_size
integer
Number of results to return per page.
search
string
A search term.
title
string
type
integer
1- User defined2- Anomaly prediction
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
description
string
end_time
string format: date-time
feedback_author
required
string format: uuid
feedback_at
required
string format: date-time
feedback_is_true_positive
boolean
id
required
string format: uuid
metric
required
string format: uuid
outage
boolean
start_time
string format: date-time
title
required
string
type
required
1- User defined2- Anomaly prediction
integer
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "type": 1 } ]}